--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: set_by
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: set_on
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: text
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: A Topic represents the topic of a channel. It consists of the topic itself, who set it and when
constants: []

full_name: Irc::Channel::Topic
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: replace
- !ruby/object:RI::MethodSummary 
  name: to_irc_channel_topic
name: Topic
superclass: Object
